From de9934c3738f07b7c87c04d7343a730735c843b6 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Fri, 7 Feb 2025 17:26:28 +1100
Subject: [PATCH v1] DOCS - inactive_since. 2nd para wording

---
 doc/src/sgml/system-views.sgml | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)

diff --git a/doc/src/sgml/system-views.sgml b/doc/src/sgml/system-views.sgml
index 7db509d..00625ce 100644
--- a/doc/src/sgml/system-views.sgml
+++ b/doc/src/sgml/system-views.sgml
@@ -2569,16 +2569,14 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
         slot is currently being streamed.
       </para>
       <para>
-        Note that for slots on the standby that are being synced from a
-        primary server (whose <structfield>synced</structfield> field is
-        <literal>true</literal>), the <structfield>inactive_since</structfield>
-        indicates the time when slot synchronization (see <xref
-        linkend="logicaldecoding-replication-slots-synchronization"/>)
-        was most recently stopped.  <literal>NULL</literal> if the slot
-        has always been synchronized. On standby, this is useful for slots
-        that are being synced from a primary server (whose
-        <structfield>synced</structfield> field is <literal>true</literal>)
-        so they know when the slot stopped being synchronized.
+        For standby slots that are being synced from a primary server
+        (<structfield>synced</structfield> field is <literal>true</literal>),
+        <structfield>inactive_since</structfield> records the last time slot
+        synchronization (see <xref
+        linkend="logicaldecoding-replication-slots-synchronization"/>) stopped.
+        <structfield>inactive_since</structfield> remains <literal>NULL</literal>
+        if the slot has always been synchronized. This helps standby slots
+        track when synchronization was interrupted.
       </para></entry>
      </row>
 
-- 
1.8.3.1

